Revoke API Key
delete
/v1/user/api-keys/{api_key_id}Part of User.
Deactivates the key immediately. Requests using the revoked key will fail with 401.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
api_key_idrequired | string | Api Key Id |
Example request
curl
curl -X DELETE "https://api.robosystems.ai/v1/user/api-keys/{api_key_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
successoptional | boolean | Indicates the operation completed successfully Default: |
messagerequired | string | Human-readable success message |
dataoptional | object | Optional additional data related to the operation |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |